# Uses of Interface
com.sun.source.tree.DefaultCaseLabelTree

Packages that use DefaultCaseLabelTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of DefaultCaseLabelTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type DefaultCaseLabelTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitDefaultCaseLabel(DefaultCaseLabelTree node, P p)`
Visits a `DefaultCaseLabelTree` node.

## Uses of DefaultCaseLabelTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type DefaultCaseLabelTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitDefaultCaseLabel(DefaultCaseLabelTree node, P p)`
Visits a `DefaultCaseLabelTree` node.
`R`
TreeScanner.`visitDefaultCaseLabel(DefaultCaseLabelTree node, P p)`
Visits a `DefaultCaseLabelTree` node.